#!/bin/ash

mypath=${0%/*}
export PATH=$mypath:$PATH

if [ ! -d /ezxlocal/download/mystuff/unKnown/S08autocpu.sh ]
then
cp -r $mypath/S08autocpu.sh /ezxlocal/download/mystuff/unKnown
fi

apptitle="CPU Speed Locker"
now=`cat /sys/mpm/op`;
statu=`cat $mypath/status.txt`
showRadio "CPU Speed Locker" "Выберите частоту. 
Текущая частота $now 
Блокировка:$statu" "Lock 532MHz" "Lock 399MHz" "Lock 266MHz" "Lock 133MHz"
case "$?" in
1)
$mypath/showQ "Продолжить?" "Внимание!
Запуская одну блокировку, не запускайте блокировку с другой частотой!" 1
if [ "$?" = "1" ]
then
$mypath/showNotify "Успешно заблокирован" "Сейчас532MHz" 1
echo "Locked at 532MHz" > $mypath/status.txt
$mypath/autocpu532.sh
fi
$mypath/start.sh
;;
2)
$mypath/showQ "Продолжить?" "Внимание!
Запуская одну блокировку, не запускайте блокировку с другой частотой!" 1
if [ "$?" = "1" ]
then
$mypath/showNotify "Успешно заблокирован" "Сейчас399MHz" 1
echo "Locked at 399MHz" > $mypath/status.txt
$mypath/autocpu399.sh
fi
$mypath/start.sh
;;
3) 
$mypath/showQ "Продолжить?" "Внимание!
Запуская одну блокировку, не запускайте блокировку с другой частотой!" 1
if [ "$?" = "1" ]
then
$mypath/showNotify "Успешно заблокирован" "СейчасMHz" 1
echo "Locked at 266MHz" > $mypath/status.txt
$mypath/autocpu266.sh
fi
$mypath/start.sh
;;
4)
$mypath/showQ "Продолжить" "Внимание!
Запуская одну блокировку, не запускайте блокировку с другой частотой!" 1
if [ "$?" = "1" ]
then
$mypath/showNotify "Успешно заблокирован" "СейчасMHz" 1
echo "Locked at 133MHz" > $mypath/status.txt
$mypath/autocpu133.sh
fi
$mypath/start.sh
;; 
*)
exit 0
;;
esac
